#!/usr/bin/env python

# adds the pyvhist package to python's path. If you copy the
# examples to another directory, make sure that the pyvhist
# package is still in your path
import makepyvhistaccessible

from pyvhist import vhistblock


with vhistblock.VhistBlock("03-more-attributes.vhist") as vb:
    # you can also set attributes after creating a vhistblock
    vb.section.title="A vhist section"
    vb.section.description="This vhist section was created by pyvhist"
    vb.section.comment = "Does nothing interesting in particular."

