#!/usr/bin/env python

# adds the pyvhist package to python's path. If you copy the
# examples to another directory, make sure that the pyvhist
# package is still in your path
import makepyvhistaccessible

from pyvhist import vhistblockio
import os, sys


def relativeToScript(path):
    scriptDir = os.path.realpath(os.path.dirname(sys.argv[0]))
    return os.path.join(scriptDir, path)


def toUpperCase(inputfile, outputfile):
    f = open(inputfile, "rb")
    content = f.read().upper()
    f.close()
    f2 = open(outputfile, "wb")
    f2.write(content)
    f2.close()


inputFile = relativeToScript("data/lowercase.txt")
outputFile = relativeToScript("data/uppercase.txt")

with vhistblockio.VhistBlockIO(title="Convert File to Upper Case") as vb:
    toUpperCase(inputFile, outputFile)

