#!/usr/bin/env python

# adds the pyvhist package to python's path. If you copy the
# examples to another directory, make sure that the pyvhist
# package is still in your path
import makepyvhistaccessible

from pyvhist import vhistblock


def calculateE():
    N = 20000000
    e = 0.
    fak = 1.
    for i in xrange(N):
        e += 1. / fak
        fak *= (i+1.)
        if i % 100000 == 0:
            print "after iteration %08d/%08d, e has the value %0.10f" % (i, N, e)
    return e


with vhistblock.VhistBlock("11-worker.vhist", title="compute example") as vb:
    print calculateE()

