#!/usr/bin/env python

# adds the pyvhist package to python's path. If you copy the
# examples to another directory, make sure that the pyvhist
# package is still in your path
import makepyvhistaccessible

from pyvhist import vhistblock, zipsource
import os, sys

EXAMPLES_DIR = os.path.dirname(sys.argv[0])

with vhistblock.VhistBlock("12-sourcecode.vhist",
        title="embed sourcecode") as vb:
    zipsource.addSourceToSection(vb.section, vb.tempDir)

