#!/usr/bin/env python

# adds the pyvhist package to python's path. If you copy the
# examples to another directory, make sure that the pyvhist
# package is still in your path
import makepyvhistaccessible

from pyvhist import vhistblock


def innerFunction():
    # will throw an ZeroDivisionError
    x = 1. / 0.


def outerFunction():
    innerFunction()


with vhistblock.VhistBlock("07-exceptions.vhist",
        title="Automatically Document Exceptions") as vb:
    outerFunction()

