
import os, inspect

from runprocess import runProcess

VERSION = "pyvhist 1.83.0.2989 of Jun 21 2013"

def getVhistPyVersion():
    if VERSION != "pyvhist $VHIST_" + "VERSION":
        return VERSION
    else:
        filename =  inspect.getfile(inspect.currentframe())
        repositoryName = os.path.realpath(os.path.dirname(filename))
        (ret, out, err) = runProcess("svnversion", cwd=repositoryName)
        if ret != 0:
            return "unknown"
        else:
            return "Development Release (SVN Revision=%s)" % (out.strip())

def version():
    return getVhistPyVersion()

